// USE WORDWRAP AND MAXIMIZE THE WINDOW TO SEE THIS FILE
c_styles={};

c_menus={}; // do not remove this line

/******************************************************
    (1) GLOBAL SETTINGS
*******************************************************/
c_hideTimeout=500;
c_subShowTimeout=250;
c_keepHighlighted=false;
c_findCURRENT=true;
c_findCURRENTTree=true;
c_overlapControlsInIE=true;
c_rightToLeft=false;

/******************************************************
    (2) MENU STYLES (CSS CLASSES)
*******************************************************/
c_imagesPath="/images/";

c_styles['MM']=[ // MainMenu (the shorter the class name the better)
[
  // MENU BOX STYLE
  0,              // BorderWidth
  'solid',        // BorderStyle (CSS valid values except 'none')
  '#000000',      // BorderColor ('color')
  0,              // Padding
  'transparent',  // Background ('color','transparent','[image_source]')
  '',             // IEfilter (only transition filters work well - not static filters)
  ''              // Custom additional CSS for the menu box (valid CSS)
],[
  // MENU ITEMS STYLE
  0,              // BorderWidth
  'solid',        // BorderStyle (CSS valid values except 'none')
  'solid',        // OVER BorderStyle
  '#000000',      // BorderColor ('color')
  '#000000',      // OVER BorderColor
  8,              // Padding
  'transparent',  // Background ('color','transparent','[image_source]')
  '[layout/menu_bg_over.gif]',// OVER Background
  '#3c3c3c',      // Color
  '#ffffff',      // OVER Color
  '1em',          // FontSize (values in CSS valid units - %,em,ex,px,pt)
  'lucida grande,lucida sans,verdana',// FontFamily
  'bold',         // FontWeight (CSS valid values - 'bold','normal','bolder','lighter','100',...,'900')
  'none',         // TextDecoration (CSS valid values - 'none','underline','overline','line-through')
  'none',         // OVER TextDecoration
  'left',         // TextAlign ('left','center','right','justify')
  1,              // ItemsSeparatorSize
  'solid',        // ItemsSeparatorStyle (border-style valid values)
  'transparent',  // ItemsSeparatorColor ('color','transparent')
  0,              // ItemsSeparatorSpacing
  true,           // UseSubMenuImage (true,false)
  '[ico_subitem.gif]',// SubMenuImageSource ('[image_source]')
  '[ico_subitem_over.gif]',// OverSubMenuImageSource
  5,              // SubMenuImageWidth
  3,              // SubMenuImageHeight
  'middle',       // SubMenuImageVAlign ('pixels from item top','middle')
  'solid',        // VISITED BorderStyle
  '#000000',      // VISITED BorderColor
  'transparent',  // VISITED Background
  '#3c3c3c',      // VISITED Color
  'none',         // VISITED TextDecoration
  '[ico_subitem.gif]',// VISITED SubMenuImageSource
  'solid',        // CURRENT BorderStyle
  '#000000',      // CURRENT BorderColor
  '[layout/menu_bg_over.gif]',// CURRENT Background
  '#ffffff',      // CURRENT Color
  'none',         // CURRENT TextDecoration
  '[ico_subitem.gif]',// CURRENT SubMenuImageSource
  '',             // Custom additional CSS for the items (valid CSS)
  '',             // OVER Custom additional CSS for the items (valid CSS)
  '',             // CURRENT Custom additional CSS for the items (valid CSS)
  ''              // VISITED Custom additional CSS for the items (valid CSS)
]];

c_styles['SM']=[ // SubMenus
  [
  // MENU BOX STYLE
  1,              // BorderWidth
  'solid',        // BorderStyle (CSS valid values except 'none')
  '#c9c9c9',      // BorderColor ('color')
  0,              // Padding
  '#a8a8a8',      // Background ('color','transparent','[image_source]')
  '',             // IEfilter (only transition filters work well - not static filters)
  ''              // Custom additional CSS for the menu box (valid CSS)
],[
  // MENU ITEMS STYLE
  0,              // BorderWidth
  'solid',        // BorderStyle (CSS valid values except 'none')
  'solid',        // OVER BorderStyle
  '#000000',      // BorderColor ('color')
  '#000000',      // OVER BorderColor
  5,              // Padding
  '#a8a8a8',      // Background ('color','transparent','[image_source]')
  '#727272',      // OVER Background
  '#3c3c3c',      // Color
  '#ffffff',      // OVER Color
  '11px',                    // FontSize (values in CSS valid units - %,em,ex,px,pt)
  'lucida grande,lucida sans,verdana',// FontFamily
  'normal',       // FontWeight (CSS valid values - 'bold','normal','bolder','lighter','100',...,'900')
  'none',         // TextDecoration (CSS valid values - 'none','underline','overline','line-through')
  'none',         // OVER TextDecoration
  'left',         // TextAlign ('left','center','right','justify')
  0,              // ItemsSeparatorSize
  'solid',        // ItemsSeparatorStyle (border-style valid values)
  'transparent',  // ItemsSeparatorColor ('color','transparent')
  0,              // ItemsSeparatorSpacing
  true,           // UseSubMenuImage (true,false)
  '[ico_subitem2.gif]',// SubMenuImageSource ('[image_source]')
  '[ico_subitem2_over.gif]',// OverSubMenuImageSource
  3,              // SubMenuImageWidth
  5,              // SubMenuImageHeight
  'middle',       // SubMenuImageVAlign ('pixels from item top','middle')
  'solid',        // VISITED BorderStyle
  '#000000',      // VISITED BorderColor
  '#a8a8a8',      // VISITED Background
  '#3c3c3c',      // VISITED Color
  'none',         // VISITED TextDecoration
  '[ico_subitem2.gif]',// VISITED SubMenuImageSource
  'solid',        // CURRENT BorderStyle
  '#000000',      // CURRENT BorderColor
  '#727272',      // CURRENT Background
  '#ffffff',      // CURRENT Color
  'none',         // CURRENT TextDecoration
  '[ico_subitem2_over.gif]',// CURRENT SubMenuImageSource
  '',             // Custom additional CSS for the items (valid CSS)
  '',             // OVER Custom additional CSS for the items (valid CSS)
  '',             // CURRENT Custom additional CSS for the items (valid CSS)
  ''              // VISITED Custom additional CSS for the items (valid CSS)
]];

c_styles['MM2']=[ // MainMenu (the shorter the class name the better)
[
  // MENU BOX STYLE
  0,              // BorderWidth
  'solid',        // BorderStyle (CSS valid values except 'none')
  '#000000',      // BorderColor ('color')
  0,              // Padding
  'transparent',  // Background ('color','transparent','[image_source]')
  '',             // IEfilter (only transition filters work well - not static filters)
  ''              // Custom additional CSS for the menu box (valid CSS)
],[
  // MENU ITEMS STYLE
  0,              // BorderWidth
  'solid',        // BorderStyle (CSS valid values except 'none')
  'solid',        // OVER BorderStyle
  '#000000',      // BorderColor ('color')
  '#000000',      // OVER BorderColor
  5,              // Padding
  'transparent',  // Background ('color','transparent','[image_source]')
  '[layout/content_tab_bg_over.gif]',// OVER Background
  '#ffffff',      // Color
  '#3c3c3c',      // OVER Color
  '1em',          // FontSize (values in CSS valid units - %,em,ex,px,pt)
  'lucida grande,lucida sans,verdana',// FontFamily
  'normal',       // FontWeight (CSS valid values - 'bold','normal','bolder','lighter','100',...,'900')
  'none',         // TextDecoration (CSS valid values - 'none','underline','overline','line-through')
  'none',         // OVER TextDecoration
  'left',         // TextAlign ('left','center','right','justify')
  1,              // ItemsSeparatorSize
  'solid',        // ItemsSeparatorStyle (border-style valid values)
  'transparent',  // ItemsSeparatorColor ('color','transparent')
  0,              // ItemsSeparatorSpacing
  true,           // UseSubMenuImage (true,false)
  '[ico_subitem3.gif]',// SubMenuImageSource ('[image_source]')
  '[ico_subitem3_over.gif]',// OverSubMenuImageSource
  5,              // SubMenuImageWidth
  3,              // SubMenuImageHeight
  'middle',       // SubMenuImageVAlign ('pixels from item top','middle')
  'solid',        // VISITED BorderStyle
  '#000000',      // VISITED BorderColor
  'transparent',  // VISITED Background
  '#ffffff',      // VISITED Color
  'none',         // VISITED TextDecoration
  '[ico_subitem3.gif]',// VISITED SubMenuImageSource
  'solid',        // CURRENT BorderStyle
  '#000000',      // CURRENT BorderColor
  '[layout/content_tab_bg_over.gif]',// CURRENT Background
  '#3c3c3c',      // CURRENT Color
  'none',         // CURRENT TextDecoration
  '[ico_subitem3_over.gif]',// CURRENT SubMenuImageSource
  'padding-left:10px;padding-right:10px',// Custom additional CSS for the items (valid CSS)
  '',             // OVER Custom additional CSS for the items (valid CSS)
  '',             // CURRENT Custom additional CSS for the items (valid CSS)
  ''              // VISITED Custom additional CSS for the items (valid CSS)
]];

c_styles['SM2']=[ // SubMenus
[
  // MENU BOX STYLE
  1,              // BorderWidth
  'solid',        // BorderStyle (CSS valid values except 'none')
  '#6a98a5',      // BorderColor ('color')
  0,              // Padding
  '#92B1BA',      // Background ('color','transparent','[image_source]')
  '',             // IEfilter (only transition filters work well - not static filters)
  ''              // Custom additional CSS for the menu box (valid CSS)
],[
  // MENU ITEMS STYLE
  0,              // BorderWidth
  'solid',        // BorderStyle (CSS valid values except 'none')
  'solid',        // OVER BorderStyle
  '#000000',      // BorderColor ('color')
  '#000000',      // OVER BorderColor
  5,              // Padding
  '#92B1BA',      // Background ('color','transparent','[image_source]')
  '#B8CAD1',      // OVER Background
  '#3c3c3c',      // Color
  '#ffffff',      // OVER Color
  '11px',         // FontSize (values in CSS valid units - %,em,ex,px,pt)
  'lucida grande,lucida sans,verdana',// FontFamily
  'normal',       // FontWeight (CSS valid values - 'bold','normal','bolder','lighter','100',...,'900')
  'none',         // TextDecoration (CSS valid values - 'none','underline','overline','line-through')
  'none',         // OVER TextDecoration
  'left',         // TextAlign ('left','center','right','justify')
  0,              // ItemsSeparatorSize
  'solid',        // ItemsSeparatorStyle (border-style valid values)
  'transparent',  // ItemsSeparatorColor ('color','transparent')
  0,              // ItemsSeparatorSpacing
  true,           // UseSubMenuImage (true,false)
  '[ico_subitem2.gif]',// SubMenuImageSource ('[image_source]')
  '[ico_subitem2_over.gif]',// OverSubMenuImageSource
  3,              // SubMenuImageWidth
  5,              // SubMenuImageHeight
  'middle',       // SubMenuImageVAlign ('pixels from item top','middle')
  'solid',        // VISITED BorderStyle
  '#000000',      // VISITED BorderColor
  '#92B1BA',      // VISITED Background
  '#3c3c3c',      // VISITED Color
  'none',         // VISITED TextDecoration
  '[ico_subitem2.gif]',// VISITED SubMenuImageSource
  'solid',        // CURRENT BorderStyle
  '#000000',      // CURRENT BorderColor
  '#B8CAD1',      // CURRENT Background
  '#ffffff',      // CURRENT Color
  'none',         // CURRENT TextDecoration
  '[ico_subitem2_over.gif]',// CURRENT SubMenuImageSource
  '',             // Custom additional CSS for the items (valid CSS)
  '',             // OVER Custom additional CSS for the items (valid CSS)
  '',             // CURRENT Custom additional CSS for the items (valid CSS)
  ''              // VISITED Custom additional CSS for the items (valid CSS)
]];

/******************************************************
    (3) MENU TREE FEATURES
*******************************************************/
c_menus['menuContent']=[ // the UL element with id="menuMain"
[
  // MAIN-MENU FEATURES
  'horizontal', // ItemsArrangement ('vertical','horizontal')
  'relative',   // Position ('relative','absolute','fixed')
  '5px',        // X Position (values in CSS valid units- px,em,ex)
  '0',          // Y Position (values in CSS valid units- px,em,ex)
  false,        // RightToLeft display of the sub menus
  false,        // BottomToTop display of the sub menus
  0,            // X SubMenuOffset (pixels)
  3,            // Y SubMenuOffset
  '10em',       // Width (values in CSS valid units - px,em,ex) (matters for main menu with 'vertical' ItemsArrangement only)
  'MM',         // CSS Class (one of the defined in section 2)
  false         // Open sub-menus onclick (default is onmouseover)
],[
  // SUB-MENUS FEATURES
  5,            // X SubMenuOffset (pixels)
  1,            // Y SubMenuOffset
  'auto',       // Width ('auto',values in CSS valid units - px,em,ex)
  '100',        // MinWidth ('pixels') (matters/useful if Width is set 'auto')
  '300',        // MaxWidth ('pixels') (matters/useful if Width is set 'auto')
  'SM',         // CSS Class (one of the defined in section 2)
  false         // Open sub-menus onclick (default is onmouseover)
]];

c_menus['submenuContent']=[ // the UL element with id="submenuContent"
[
  // MAIN-MENU FEATURES
  'horizontal', // ItemsArrangement ('vertical','horizontal')
  'relative',   // Position ('relative','absolute','fixed')
  '0',          // X Position (values in CSS valid units- px,em,ex)
  '0',          // Y Position (values in CSS valid units- px,em,ex)
  false,        // RightToLeft display of the sub menus
  false,        // BottomToTop display of the sub menus
  0,            // X SubMenuOffset (pixels)
  3,            // Y SubMenuOffset
  '10em',       // Width (values in CSS valid units - px,em,ex) (matters for main menu with 'vertical' ItemsArrangement only)
  'MM2',        // CSS Class (one of the defined in section 2)
  false         // Open sub-menus onclick (default is onmouseover)
],[
  // SUB-MENUS FEATURES
  5,            // X SubMenuOffset (pixels)
  1,            // Y SubMenuOffset
  'auto',       // Width ('auto',values in CSS valid units - px,em,ex)
  '100',        // MinWidth ('pixels') (matters/useful if Width is set 'auto')
  '300',        // MaxWidth ('pixels') (matters/useful if Width is set 'auto')
  'SM2',        // CSS Class (one of the defined in section 2)
  false         // Open sub-menus onclick (default is onmouseover)
]];