/*****
 * IHM
 *****/

/*
 * Gestion du rollover
 */
$(document).ready( function() {
  //Images
  imgRollover.init();
  //Boutons
  $("button.ro").hover(
    function() { $(this).addClass('ui-state-hover'); },
    function() { $(this).removeClass('ui-state-hover'); }
  );
});
imgRollover = {
  init: function() {
    this.preload();
    $("img.ro").hover(
      function () { $(this).attr( 'src', imgRollover.newimage($(this).attr('src')) ); },
      function () { $(this).attr( 'src', imgRollover.oldimage($(this).attr('src')) ); }
    );
  },
  preload: function() {
    $(window).bind('load', function() {
      $('img.ro').each( function(key, elm) { $('<img>').attr('src', imgRollover.newimage($(this).attr('src'))); });
    });
  },
  newimage: function(src) { return src.substring(0, src.search(/(\.[a-z]+)$/)) + '_over' + src.match(/(\.[a-z]+)$/)[0]; },
  oldimage: function(src) { return src.replace(/_over\./, '.'); }
};

/********************
 * GESTION DES LISTES
 ********************/

/*
 * Affichage du message d'attente de chargement d'une liste
 */
function showListWaitingMsg(blnState) {
  if (blnState) {
    $('#loading').html("<img src='/images/ico_loading.gif'> Chargement en cours");
  }
  else {
    $('#loading').html('');
  }
}

/*
 * Tri d'une colonne d'une liste
 */
function setListColumnSort(ind,type,direction) {
  window._list_sort_ind = ind;
  window._list_sort_direction = direction;
  reloadList();
  oGrid.setSortImgState(true,ind,direction);
  return false;
}

/*
 * Rechargement de la liste
 */
function reloadList(param) {
  if (typeof(param) == "undefined") param = '';
  oGrid.clearAll();
  oGrid.loadXML(window._list_url + ((window._list_url.search(/[?]/) > 0) ? '&' : '?' ) + "order_by=" + oGrid.getColumnId(window._list_sort_ind) + "&direction=" + window._list_sort_direction + param);
  if (window._list_sort_direction);
  oGrid.setSortImgState(true, window._list_sort_ind, window._list_sort_direction);
}

/************
 * FORMULAIRE
 ************/

/*
 * Ajout des fonctions check() et uncheck() pour les gestion des boutons radio et checkbox
 */
jQuery.fn.extend({
  check: function() { return this.each(function() { this.checked = true; }); },
  uncheck: function() { return this.each(function() { this.checked = false; }); }
});

/***********
 * FONCTIONS
 ***********/
function ucfirst(str) {
  var f = str.charAt(0).toUpperCase();
  return f + str.substr(1);
}